<?php

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

class Filtrecomparaison extends PluginsClassiques{

	function Filtrecomparaison(){
		$this->PluginsClassiques();
	}

	function init(){
	}

	function destroy(){
	}

	function post(){
		global $res;
				
		//suprieur
		preg_match_all("`\#FILTRE_sup\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if(trim($cut[1][$i]) > trim($cut[2][$i])){
				$tab1[$i] = "#FILTRE_sup(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = $cut[3][$i];
			}
			else{
				$tab1[$i] = "#FILTRE_sup(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = "";
			}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//suprieur sinon
		preg_match_all("`\#FILTRE_supsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]>$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_supsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_supsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//suprieur ou gal
		preg_match_all("`\#FILTRE_supegal\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]>=$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_supegal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_supegal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i]  = "";
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//suprieur ou gal sinon
		preg_match_all("`\#FILTRE_supegalsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]>=$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_supegalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_supegalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		///infrieur
		preg_match_all("`\#FILTRE_inf\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if(trim($cut[1][$i]) < trim($cut[2][$i])){
				$tab1[$i] = "#FILTRE_inf(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = $cut[3][$i];
			}
			else{
				$tab1[$i] = "#FILTRE_inf(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = "";
			}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//infrieur sinon
		preg_match_all("`\#FILTRE_infsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]<$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_infsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_infsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//infrieur ou gal
		preg_match_all("`\#FILTRE_infegal\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]<=$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_infegal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_infegal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i]  = "";
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//infrieur ou gal sinon
		preg_match_all("`\#FILTRE_infegalsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]<=$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_infegalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_infegalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//gal sinon
		preg_match_all("`\#FILTRE_egalsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]==$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_egalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_egalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//diffrent sinon
		preg_match_all("`\#FILTRE_diffsinon\(([^\|]*)\|\|([^\|]*)\|\|([^\|]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if($cut[1][$i]!=$cut[2][$i]){
				$tab1[$i]  = "#FILTRE_diffsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[3][$i];
			}
			else {
				$tab1[$i]  = "#FILTRE_diffsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i]  = $cut[4][$i];
			}	
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//compris entre 2 bornes exclues
		preg_match_all("`\#FILTRE_entre\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
				if(trim($cut[1][$i])>trim($cut[2][$i]) && trim($cut[1][$i])<trim($cut[3][$i])){
					$tab1[$i] = "#FILTRE_entre(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
					$tab2[$i] = $cut[4][$i];
				}
				else{
					$tab1[$i] = "#FILTRE_entre(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
					$tab2[$i] = "";
				}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//compris entre 2 bornes exclues sinon
		preg_match_all("`\#FILTRE_entresinon\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
				if(trim($cut[1][$i])>trim($cut[2][$i]) && trim($cut[1][$i])<trim($cut[3][$i])){
					$tab1[$i] = "#FILTRE_entresinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . "||" . $cut[5][$i] . ")";
					$tab2[$i] = $cut[4][$i];
				}
				else{
					$tab1[$i] = "#FILTRE_entresinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . "||" . $cut[5][$i] . ")";
					$tab2[$i] = $cut[5][$i];
				}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//compris entre 2 bornes inclues
		preg_match_all("`\#FILTRE_entregal\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
				if(trim($cut[1][$i])>=trim($cut[2][$i]) && trim($cut[1][$i])<=trim($cut[3][$i])){
					$tab1[$i] = "#FILTRE_entregal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
					$tab2[$i] = $cut[4][$i];
				}
				else{
					$tab1[$i] = "#FILTRE_entregal(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
					$tab2[$i] = "";
				}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//compris entre 2 bornes inclues sinon
		preg_match_all("`\#FILTRE_entregalsinon\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
				if(trim($cut[1][$i])>=trim($cut[2][$i]) && trim($cut[1][$i])<=trim($cut[3][$i])){
					$tab1[$i] = "#FILTRE_entregalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . "||" . $cut[5][$i] . ")";
					$tab2[$i] = $cut[4][$i];
				}
				else{
					$tab1[$i] = "#FILTRE_entregalsinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . "||" . $cut[5][$i] . ")";
					$tab2[$i] = $cut[5][$i];
				}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//modulo (multiple de )
		preg_match_all("`\#FILTRE_modulo\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if(trim($cut[1][$i])%trim($cut[2][$i]) == 0){
				$tab1[$i] = "#FILTRE_modulo(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = $cut[3][$i];
			}
			else{
				$tab1[$i] = "#FILTRE_modulo(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . ")";
				$tab2[$i] = "";
			}
		}
		$res = str_replace($tab1, $tab2, $res);
		
		//modulo (multiple de ) sinon
		preg_match_all("`\#FILTRE_modulosinon\(([^\|]*)\|\|([^\)]*)\|\|([^\)]*)\|\|([^\)]*)\)`", $res, $cut);
		$tab1 = "";
		$tab2 = "";
		for($i=0; $i<count($cut[2]); $i++){
			if(trim($cut[1][$i])%trim($cut[2][$i]) == 0){
				$tab1[$i] = "#FILTRE_modulosinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i] = $cut[3][$i];
			}
			else{
				$tab1[$i] = "#FILTRE_modulosinon(" . $cut[1][$i] . "||" . $cut[2][$i] . "||" . $cut[3][$i] . "||" . $cut[4][$i] . ")";
				$tab2[$i] = $cut[4][$i];
			}
		}
		$res = str_replace($tab1, $tab2, $res);
		
	}

}
?>